# frozen_string_literal: true

require 'sinatra/base'

# BaseController - base modular Sinatra app class
class BaseController < Sinatra::Base

  # Register view helpers
  require_relative '../helpers'
  helpers Helpers

  # Set up our view engine
  set :views, File.join(settings.root, '/../../views')

end
